Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl	(revision 23506)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default/transform/icons.xsl	(revision 24007)
@@ -1,9 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <xsl:stylesheet version="1.0"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-  xmlns:java="http://xml.apache.org/xslt/java"
-  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
-  extension-element-prefixes="java util"
-  exclude-result-prefixes="java util">
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
   <!-- some global parameters - these are set by whoever is invoking the transformation -->
@@ -19,10 +15,8 @@
 	  <xsl:when test="documentNode">
 	    <xsl:call-template name="openbookimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    <xsl:call-template name="closedbookimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'open_book')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:otherwise>
@@ -35,10 +29,8 @@
 	  <xsl:when test="documentNode">
 	    <xsl:call-template name="openfolderimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_folder')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:when>
 	  <xsl:otherwise>
 	    <xsl:call-template name="closedfolderimg">
-	      <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'open_folder')"/></xsl:with-param>
 	    </xsl:call-template>
 	  </xsl:otherwise>
@@ -49,5 +41,4 @@
       <xsl:otherwise>
 	<xsl:call-template name="textpageimg">
-	  <xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'view_document')"/></xsl:with-param>
 	</xsl:call-template>
       </xsl:otherwise>
@@ -56,41 +47,40 @@
 
   <xsl:template name="openbookimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="28" height="23"
       src="interfaces/default/images/openbook.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="closedbookimg">
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img border="0" width="18" height="11"
       src="interfaces/default/images/book.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.open_book" />
   </xsl:template>
 
   <xsl:template name="openfolderimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img border="0" width="23" height="15"
       src="interfaces/default/images/openfldr.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="closedfolderimg">
+  	<xsl:param name="title"/>
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="23" height="15"
       src="interfaces/default/images/clsdfldr.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.{$title}" />
   </xsl:template>
 
   <xsl:template name="textpageimg">
     <xsl:param name="alt"/>
-    <xsl:param name="title"/>
     <img  border="0" width="16" height="21"
       src="interfaces/default/images/itext.gif"
-      alt="{$alt}" title="{$title}"/>
+      alt="{$alt}" class="getTextFor null this.title.view_document,parent.class.text:'clientDocView'" />
+    <span><xsl:value-of select="$alt" /></span>
   </xsl:template>
 
@@ -105,16 +95,14 @@
   <xsl:template name="iconpdf">
     <xsl:param name="alt">PDF</xsl:param>
-    <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonpdf')"/></xsl:param>
     <img border="0" width='26' height='26' 
       src='interfaces/default/images/ipdf.gif' 
-      alt='{$alt}' title='{$title}'/>
+      alt='{$alt}' class="getTextFor null this.title.texticonpdf" />
   </xsl:template>
   
   <xsl:template name="icondoc">
     <xsl:param name="alt">Word</xsl:param>
-    <xsl:param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'texticonmsword')"/></xsl:param>
     <img border="0" width='26' height='26' 
       src='interfaces/default/images/imsword.gif' 
-      alt='{$alt}' title='{$title}'/>
+      alt='{$alt}' class="getTextFor null this.title.texticonmsword" />
   </xsl:template>
 
